> For the complete documentation index, see [llms.txt](https://anilist.gitbook.io/anilist-apiv2-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://anilist.gitbook.io/anilist-apiv2-docs/docs/reference/object/messageactivity.md).

# MessageActivity

User message activity

| Field            |                                                                                                               Argument | Type                                                                     | Description |
| ---------------- | ---------------------------------------------------------------------------------------------------------------------: | ------------------------------------------------------------------------ | ----------- |
| **id**           |                       [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md)! | The id of the activity                                                   |             |
| **recipientId**  |                        [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | The user id of the activity's recipient                                  |             |
| **messengerId**  |                        [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | The user id of the activity's sender                                     |             |
| **type**         |        [ActivityType](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/enum/activitytype/README.md) | The type of the activity                                                 |             |
| **replyCount**   |                       [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md)! | The number of activity replies                                           |             |
| **message**      |                  [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) | The message text (Markdown)                                              |             |
| asHtml           |                [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) | Return the string in pre-parsed html instead of markdown                 |             |
| **isLocked**     |                [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) | If the activity is locked and can receive replies                        |             |
| **isSubscribed** |                [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) | If the currently authenticated user is subscribed to the activity        |             |
| **likeCount**    |                       [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md)! | The amount of likes the activity has                                     |             |
| **isLiked**      |                [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) | If the currently authenticated user liked the activity                   |             |
| **isPrivate**    |                [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) | If the message is private and only viewable to the sender and recipients |             |
| **siteUrl**      |                  [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) | The url for the activity page on the AniList website                     |             |
| **createdAt**    |                       [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md)! | The time the activity was created at                                     |             |
| **recipient**    |                      [User](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/user/README.md) | The user who the activity message was sent to                            |             |
| **messenger**    |                      [User](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/user/README.md) | The user who sent the activity message                                   |             |
| **replies**      | \[[ActivityReply](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/activityreply/README.md)] | The written replies to the activity                                      |             |
| **likes**        |                   \[[User](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/user/README.md)] | The users who liked the activity                                         |             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://anilist.gitbook.io/anilist-apiv2-docs/docs/reference/object/messageactivity.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
